
// Tell Dropzone not to try to attach to the upload div - we need a token first!
Dropzone.options.ImageUpload = false;

let Config = {
    params: {
        server: 'https://fms-18.msdev.co.uk',
        database: 'SJWInterface',
        username: 'SJWReadOnly',
        password: 'Qwerty1!'
    },
    token: null,
    baseURI: null,
    setBaseURL: function() {
        this.baseURI = this.params.server + '/fmi/data/v1/databases/' + this.params.database;
    }
};

let App = {
    init: function() {
        if(sessionStorage.getItem('authenticated')) {
            Login.setAuthenticatedInterface();
            StateChart.initialiseData();
        } else {
            $('#Login').click(Login.displayLoginForm);
            FileMaker.fetchToken(Config.params.username, Config.params.password, function() {
                StateChart.initialiseData();
            }, App.error);
        }
    },

    bindDropzone: function() {
        var dz = new Dropzone("div#ImageUpload", {
            accept: function (file, done) {
                let data = {
                    fieldData: {}
                };
                FileMaker.performRequest('POST', '/layouts/ImagesAPI/records', data, function (record) {
                    dz.options.url = Config.baseURI + '/layouts/ImagesAPI/records/' + record.recordId + '/containers/Image/1';

                    done();
                }, App.error);
            },
            url: '/replace/me',
            clickable: true,
            acceptedFiles: ".png,.jpg,.jpeg",
            paramName: 'upload',
            addRemoveLinks: true,
            maxFilesize: 10,
            headers: { "Authorization": "Bearer " + FileMaker.retrieveToken() },
        });
    },

    error: function(error) {
        console.log(error);
    }
};

(function() {
    Config.setBaseURL();
    App.init();
})();