let Clients = {

    fetchLastFiveClients: function() {
        let url = '/layouts/ContactsAPI/records';

        // add that we only want five records
        url += '?_limit=5';

        // Sort by creation order, this means passing in an array of arrays, which have the keys
        // 'fieldName' and 'sortOrder'
        let sort = [{
            'fieldName': 'Created',
            'sortOrder': 'descend',
        }];

        // and then url encoding the json encoding of that array - honestly, it's hinky! This method
        // works fine when combined with a _find because we would be POSTing this data, but when it's
        // being sent as a URL parameter it's just weird!
        url += '&_sort=' + JSON.stringify(sort);

        FileMaker.performRequest('GET', url, [], Clients.displayClients, App.error);
    },

    displayClients: function(clients) {
        let table = document.getElementById('ClientTable');

        clients.forEach(function(client) {
            let row = table.insertRow(-1);
            let name = row.insertCell(0);
            name.appendChild(
                document.createTextNode(client.fieldData.First + ' ' + client.fieldData.Last)
            );

            let email = row.insertCell(1);
            email.appendChild(
                document.createTextNode(client.fieldData['Office Email'])
            );

            let phone = row.insertCell(2);
            phone.appendChild(
                document.createTextNode(client.fieldData['Office Phone'])
            );
        });
    },
};