let Login = {
    displayLoginForm: function() {
        bootbox.dialog({
            title: false,
            message: Template.loginForm,
            buttons: {
                success: {
                    label: "Login",
                    className: "btn-primary",
                    callback: function() {
                        FileMaker.logUserIn(
                            $('#username').val(),
                            $('#password').val()
                        );
                    }
                }
            }
        });
    },

    doLogout: function() {
        $('#PageMessages').html(Template.showMessage('success', 'You have been logged out.'));
        sessionStorage.removeItem('authenticated');

        // reset the token to the read only account
        FileMaker.fetchToken(Config.params.username, Config.params.password, App.error, App.error);

        Login.setPublicInterface();
    },

    loginSuccess: function() {
        $('#PageMessages').html(Template.showMessage('success', 'You have been logged in.'));
        sessionStorage.setItem('authenticated', true);

        Login.setAuthenticatedInterface();
    },

    loginError: function(error) {
        Login.displayLoginForm();
        $('#LoginError').html(Template.showMessage('danger', 'Unable to login. Please check your credentials.'));
    },

    setAuthenticatedInterface: function() {
        $('#ClientWrapper').html(Template.table);
        $('#UploadWrapper').html(Template.upload);
        $('#LoginWrapper').html(Template.logoutLink);
        $('#ChartWrapper').removeClass('col-12').addClass('col-8');

        try {
            App.bindDropzone();
            Clients.fetchLastFiveClients();
            $('#Logout').click(Login.doLogout);
        } catch(error) {
            console.info(error);
        }
    },

    setPublicInterface: function() {
        $('#ClientWrapper').html('');
        $('#UploadWrapper').html('');
        $('#LoginWrapper').html(Template.loginLink);
        $('#ChartWrapper').removeClass('col-8').addClass('col-12');
        $('#Login').click(Login.displayLoginForm);
    }
};